Subject: New Reply Received - I am very disappointed with the service provided by the Homebox Stores online delivery=0A=0AI placed the...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 20 May 2021 20:20:25 +0000

Hi Mohd Adeel Akhter,  The customer has responded to the ticket.  I am very disappointed with the service provided by the Homebox Stores online delivery

I placed the...  Ticket comment <div>Homebox Stores i already send msg direct.. this was shared by ur delivery guys already through your DC Personal as informed by delivery guy and he told me that i will get call back from them.. as usual nothing happened </div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2602808